[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#623699: kwin crash at kde4 startup

Package: kwin
Version: 5:66
Severity: important

I'm no more able to start KDE4 with debian SID, even by deleting ~/.kde)

I see the followings messages in graphical messages box, but the plasma desktop
doesn't launch :
- "Il semble de kwin s'est planté plusieurs fois de suite" (traduction : "It
seems that kwin crash several times"
- "L'espace de travail Plasma s'est subitement arrêté". (traduction : "Plasma
desktop suddently stopped") . In this cas, I can do the bu g report, the
crashed process is krunner. The crash occurs lot of times.

If I launch kwin in a console under xfce (#kwin -replace), I can see the same
error messages and I lost the windows decoration of all the xfce windows.

Crash report :
Application: KWin (kwin), signal: Segmentation fault
[KCrash Handler]
#4  0x00007f59de326ff6 in QVariant::QVariant(QVariant const&) () from
#5  0x00007f59de69cbc7 in QDBusPendingReplyData::argumentAt(int) const () from
#6  0x00007f59e1527105 in ?? () from /usr/lib/libkephal.so.4
#7  0x00007f59e1524e11 in ?? () from /usr/lib/libkephal.so.4
#8  0x00007f59e1517ba3 in ?? () from /usr/lib/libkephal.so.4
#9  0x00007f59e151832d in Kephal::Screens::self() () from
#10 0x00007f59e1518393 in Kephal::ScreenUtils::numScreens() () from
#11 0x00007f59e28315db in ?? () from
#12 0x00007f59e2815803 in ?? () from
#13 0x00007f59e2816663 in kdemain () from
#14 0x00007f59e2483c4d in __libc_start_main () from /lib/libc.so.6
#15 0x00000000004006a9 in _start ()

I have a nvidia graphic card. Drivers are installed with nvidia-glx and module-

How can I give more informations?


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (987, 'unstable'), (985, 'stable'), (983, 'stable'), (500, 'oldstable'), (98, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kwin depends on:
ii  kde-window-manager            4:4.4.5-8  the K window manager (KWin)

kwin recommends no packages.

kwin suggests no packages.

-- no debconf information

Reply to: